# Uses of Class
javassist.bytecode.StackMapTable

Packages that use StackMapTable
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of StackMapTable in javassist.bytecode

Methods in javassist.bytecode that return StackMapTable
Modifier and Type
Method
Description
`StackMapTable`
StackMapTable.Writer.`toStackMapTable(ConstPool cp)`
Constructs and a return a stack map table containing the written stack map entries.
Methods in javassist.bytecode with parameters of type StackMapTable
Modifier and Type
Method
Description
`void`
CodeAttribute.`setAttribute(StackMapTable smt)`
Adds a stack map table.
Constructors in javassist.bytecode with parameters of type StackMapTable
Modifier
Constructor
Description
``
`Walker(StackMapTable smt)`
Constructs a walker.